<div class="container-fluid">
  <div class="row">
    <div class="col-12">
        <h1 class="text-center" margin-top>{{title}}</h1>
        <h2 class="text-center" >Perafo</h2>
    </div>
  </div>
  <div class="row mt">
    <div class="col-5 offset-4">
      <form [formGroup]="searchForm" (ngSubmit)="setCity()">
        <div class="input-group">
          <input type="text" class="form-control form-control-lg" formControlName="city" placeholder="Ciudad...">
          <span class="input-group-btn">
            <button class="btn btn-secondary" type="button" (click)="setCity()">Buscar</button>
          </span>
        </div>
      </form>
      <div class="dropdown" aria-labelledby="matchesCities">
        <a class="dropdown-item" *ngFor="let item of qCities" (click)="setCity()">{{item}}</a>
      </div>
    </div>
  </div>

  <div class="container" *ngIf="data">
    <div class="row mt">
      <div class="col-8 offset-2">
        <h1 class="text-center">{{data.name}} <span>{{data.sys.country}}</span></h1>
      </div>
    </div>
    <div class="row mt">
      <div class="col-2">      
        <p>Temp Min.</p>
        <p><span class="font-weight-bold">{{data.main.temp_min}} ºC</span></p>
        <p>Temp Max.</p>
        <p><span class="font-weight-bold">{{data.main.temp_max}} ºC</span></p>

      </div>
      <div class="col-2">
        <p>Latitud: <span class="font-weight-bold">{{data.coord.lon}}</span></p>
        <p>Longitud: <span class="font-weight-bold">{{data.coord.lat}}</span></p>
      </div>
      <div class="col-4">
        <h2 class="tmp">{{data.main.temp}} ºC</h2>
        <p>{{data.weather[0].description}}</p>
        <p *ngIf="data.base">Base: <span class="font-weight-bold">{{data.base}}</span></p>
        <img [src]="srcIcon" />
      </div>
      <div class="col-2">
        <p>Presión: <span class="font-weight-bold">{{data.main.pressure}}</span></p>
        <p>Humedad: <span class="font-weight-bold">{{data.main.humidity}}</span></p>
        <p>Velocidad del viento: <span class="font-weight-bold">{{data.wind.speed}}</span></p>
        <p>Grados: <span class="font-weight-bold">{{data.wind.deg}}</span></p>
      </div>
      <div class="col-2">
        <p *ngIf="data.main.sea_level">Nivel del mar: <span class="font-weight-bold">{{data.main.sea_level}}</span></p>
        <p *ngIf="data.main.grnd_level">Nivel terrestre: <span class="font-weight-bold">{{data.main.grnd_level}}</span></p>
      </div>
    </div>
  </div>
</div>
